# RFC4103Context Class Reference

`#include <rfc4103.h>`

Collaboration diagram for RFC4103Context:

[legend]

## Public Member Functions

| RFC4103Context ()
| RFC4103Context (const OpalMediaFormat &fmt)
void | SetMediaFormat (const OpalMediaFormat &fmt)
RTP_DataFrameList | ConvertToFrames (const PString &contentType, const T140String &body)

## Data Fields

OpalMediaFormat | m_mediaFormat
PMutex | m_mutex
WORD | m_sequence
DWORD | m_baseTimeStamp
PTime | m_baseTime

## Constructor & Destructor Documentation

RFC4103Context::RFC4103Context | ( |  | ) |

RFC4103Context::RFC4103Context | ( | const OpalMediaFormat & | fmt | ) |

## Member Function Documentation

RTP_DataFrameList RFC4103Context::ConvertToFrames | ( | const PString & | contentType,
|  | const T140String & | body |
| ) |  |  |

void RFC4103Context::SetMediaFormat | ( | const OpalMediaFormat & | fmt | ) |

## Field Documentation

PTime RFC4103Context::m_baseTime

DWORD RFC4103Context::m_baseTimeStamp

OpalMediaFormat RFC4103Context::m_mediaFormat

PMutex RFC4103Context::m_mutex

WORD RFC4103Context::m_sequence

The documentation for this class was generated from the following file:

- rfc4103.h